> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Suggestion Debug

> Comma delimited list of suggestion groups that should be returned. The default is everything. e.g. categories, products.



## OpenAPI

````yaml /openapi/openapi_catalog_storefront.json get /commerce/catalog/storefront/productsearch/suggestdebug
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_STOREFRONT">
                <h2>CATALOG STOREFRONT</h2>
                <p>The Catalog Storefront APIs are a collection of resources for managing storefront categories, currencies, price lists, products, and
                    product search. This controls how the products in your catalog are organized and displayed on the
                    storefront. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Currencies</strong> resource to retrieve exchange rates for displaying prices on your storefront.</p>
                <p>Use the <strong>Storefront Categories</strong> resource to view the product category hierarchy as it appears to shoppers
                    who are browsing the storefront. The hierarchy can be returned as a flat list or as a category tree.</p>
                <p>Use the <strong>Pricelists</strong> resource to retrieve the details of a price list. The details may contain a hierarchy
                    of ancestor and/or descendant price lists dependening on your configuration.</p>
                <p>Use the <strong>Storefront Products</strong> resource to manage the shopper product selection process during a visit to
                    the web storefront. You can update product options as shoppers pick and choose their product choices. A
                    shopper cannot add a product to a cart until all of its required options have been selected.</p>
                <p>Use the <strong>Product Search</strong> resource to provide dynamic search results to shoppers as they browse and search
                    for products on the web storefront, and to suggest possible search terms as the shopper enters text. The related <strong>Search Redirect</strong>
                    resource allows you to retrieve any search redirect items.</p>
            </div>
  title: Catalog Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/productsearch/suggestdebug:
    get:
      tags:
        - ProductSearch
      summary: Search Suggestion Debug
      description: >-
        Comma delimited list of suggestion groups that should be returned. The
        default is everything. e.g. categories, products.
      parameters:
        - description: >-
            Comma delimited list of suggestion groups that should be returned.
            The default is everything. e.g. categories, products
          in: query
          name: groups
          schema:
            type: string
        - description: The terms to search on.
          in: query
          name: query
          schema:
            type: string
        - description: >-
            Indicates the maximum number of entities to return from a query. The
            default value is 10 and the maximum value is 200. Optional.
          in: query
          name: pageSize
          schema:
            format: int32
            type: integer
        - description: Specific Search Configuration. Optional parameter
          in: query
          name: searchSettingsName
          schema:
            type: string
        - description: Session Id. Optional parameter
          in: query
          name: mid
          schema:
            type: string
        - description: ''
          in: query
          name: filter
          schema:
            type: string
        - description: Used to debug with a specific campaign. Optional parameter
          in: query
          name: campaignId
          schema:
            type: string
        - description: >-
            Only respond with the request made to the search-engine, for one
            "groups" parameter value. Default is false. Optional parameter.
          in: query
          name: returnUrl
          schema:
            default: false
            type: boolean
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````